const KEY_WALLET_NAME = 'walletName';
// import { Wallet } from '@/wallet/index.js';

const state = () => ({
  address: null,
  token: '11',
});
const getters = {};

const actions = {
  async connectToken ({ commit }) {
    console.log(commit)
    commit('updateToken', token )
    
  }
};

// mutations
const mutations = {
  updateToken(state, _token) {
    console.info('update address: ',state,  _token);
    state.token = _token;
    state.connected = true;
  },
};

export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
